classification
Title: Make csv.Dialect attributes skipinitialspace, doublequote and strict booleans
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: serhiy.storchaka, xtreak
Priority: normal Keywords: patch

Created on 2018-07-23 11:06 by serhiy.storchaka, last changed 2018-07-26 11:35 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8440 merged serhiy.storchaka, 2018-07-24 15:46
Messages (4)
msg322193 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-23 11:06
Currently attributes skipinitialspace, doublequote and strict of the csv.Dialect class are integers 0 or 1.

>>> import csv
>>> d = csv.reader([]).dialect
>>> d.skipinitialspace
0
>>> d.doublequote
1
>>> d.strict
0

The proposed PR makes them False or True.
msg322309 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-07-24 15:36
> The proposed PR makes them False or True.

Sorry, is there a PR missing here? I hope you are referring to https://github.com/serhiy-storchaka/cpython/commit/f96e6969b7f73c3fd6ed2166ba3405f9e63b88f7

Thanks
msg322312 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-24 15:48
Hmm, indeed, I forgot to create a PR. Thank you for catching this Karthikeyan!
msg322410 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-26 10:21
New changeset 323748ad7446c76972c80dbbf510534dc5c22ae8 by Serhiy Storchaka in branch 'master':
bpo-34197: Make _csv.Dialect attributes booleans. (GH-8440)
https://github.com/python/cpython/commit/323748ad7446c76972c80dbbf510534dc5c22ae8
History
Date User Action Args
2018-07-26 11:35:42serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-07-26 10:21:13serhiy.storchakasetmessages: + msg322410
2018-07-24 15:48:21serhiy.storchakasetmessages: + msg322312
2018-07-24 15:46:54serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request7966
2018-07-24 15:36:33xtreaksetnosy: + xtreak
messages: + msg322309
2018-07-23 11:06:28serhiy.storchakacreate